clang 8.0.0

Public Attributes | List of all members
clang::ast_matchers::dynamic::Diagnostics::ContextFrame Struct Reference

Information stored for one frame of the context. More...

`#include "clang/ASTMatchers/Dynamic/Diagnostics.h"`

Collaboration diagram for clang::ast_matchers::dynamic::Diagnostics::ContextFrame:
[legend]

## Public Attributes
ContextType | Type
SourceRange | Range
std::vector< std::string > | Args

## Detailed Description

Information stored for one frame of the context.

Definition at line 143 of file Diagnostics.h.

## Member Data Documentation

## ◆ Args

std::vector<std::string> clang::ast_matchers::dynamic::Diagnostics::ContextFrame::Args

Definition at line 146 of file Diagnostics.h.

Referenced by clang::ast_matchers::dynamic::printContextFrameToStream().

## ◆ Range

SourceRange clang::ast_matchers::dynamic::Diagnostics::ContextFrame::Range

Definition at line 145 of file Diagnostics.h.

Referenced by clang::ast_matchers::dynamic::printContextFrameToStream().

## ◆ Type

ContextType clang::ast_matchers::dynamic::Diagnostics::ContextFrame::Type

Definition at line 144 of file Diagnostics.h.

Referenced by clang::ast_matchers::dynamic::printContextFrameToStream().

The documentation for this struct was generated from the following file:

- include/clang/ASTMatchers/Dynamic/Diagnostics.h